summaryrefslogtreecommitdiff
path: root/package/avahi/files
diff options
context:
space:
mode:
Diffstat (limited to 'package/avahi/files')
-rw-r--r--package/avahi/files/avahi-daemon.conf29
-rw-r--r--package/avahi/files/avahi-daemon.init25
-rw-r--r--package/avahi/files/service-http10
-rw-r--r--package/avahi/files/service-ssh9
4 files changed, 73 insertions, 0 deletions
diff --git a/package/avahi/files/avahi-daemon.conf b/package/avahi/files/avahi-daemon.conf
new file mode 100644
index 000000000..a5ff88619
--- /dev/null
+++ b/package/avahi/files/avahi-daemon.conf
@@ -0,0 +1,29 @@
+[server]
+#host-name=foo
+#domain-name=local
+use-ipv4=yes
+use-ipv6=no
+check-response-ttl=no
+use-iff-running=no
+enable-dbus=no
+
+[publish]
+publish-addresses=yes
+publish-hinfo=yes
+publish-workstation=no
+publish-domain=yes
+#publish-dns-servers=192.168.1.1
+#publish-resolv-conf-dns-servers=yes
+
+[reflector]
+enable-reflector=no
+reflect-ipv=no
+
+[rlimits]
+#rlimit-as=
+rlimit-core=0
+rlimit-data=4194304
+rlimit-fsize=0
+rlimit-nofile=30
+rlimit-stack=4194304
+rlimit-nproc=1
diff --git a/package/avahi/files/avahi-daemon.init b/package/avahi/files/avahi-daemon.init
new file mode 100644
index 000000000..06d0863fc
--- /dev/null
+++ b/package/avahi/files/avahi-daemon.init
@@ -0,0 +1,25 @@
+#!/bin/sh
+#FWINIT 75
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+ autostart)
+ test x"${avahi:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+ start)
+ avahi-daemon -D
+ ;;
+ stop)
+ avahi-daemon -k
+ ;;
+ restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+ *)
+ echo "usage: $0 { start | stop | reload }"
+ exit 1
+esac
+exit $?
diff --git a/package/avahi/files/service-http b/package/avahi/files/service-http
new file mode 100644
index 000000000..8e0d3a513
--- /dev/null
+++ b/package/avahi/files/service-http
@@ -0,0 +1,10 @@
+<?xml version="1.0" standalone='no'?><!--*-nxml-*-->
+<!DOCTYPE service-group SYSTEM "avahi-service.dtd">
+<service-group>
+ <name replace-wildcards="yes">Web Server on %h</name>
+ <service>
+ <type>_http._tcp</type>
+ <port>80</port>
+ <txt-record>path=/index.html</txt-record>
+ </service>
+</service-group>
diff --git a/package/avahi/files/service-ssh b/package/avahi/files/service-ssh
new file mode 100644
index 000000000..b41580378
--- /dev/null
+++ b/package/avahi/files/service-ssh
@@ -0,0 +1,9 @@
+<?xml version="1.0" standalone='no'?><!--*-nxml-*-->
+<!DOCTYPE service-group SYSTEM "avahi-service.dtd">
+<service-group>
+ <name replace-wildcards="yes">Secure Shell on %h</name>
+ <service>
+ <type>_ssh._tcp</type>
+ <port>22</port>
+ </service>
+</service-group>